io.vertx.ext.web.handler

## Interface ErrorHandler

- All Superinterfaces:
    Handler<RoutingContext>

      public interface ErrorHandler
      extends Handler<RoutingContext>

  A pretty error handler for rendering error pages. When working in development mode exception details will be returned in the server responses, otherwise or when manually specified no exception details are returned in the HTTP response. The reason the display of the exception details is by default dependent of the mode is to follow the security best practices: https://www.owasp.org/index.php/Improper_Error_Handling
  Author:
    Tim Fox, Paulo Lopes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_ERROR_HANDLER_TEMPLATE` The default template to use for rendering

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorHandler` | `create(Vertx vertx)` Create an error handler using defaults
    `static ErrorHandler` | `create(Vertx vertx, boolean displayExceptionDetails)` Create an error handler
    `static ErrorHandler` | `create(Vertx vertx, String errorTemplateName)` Create an error handler
    `static ErrorHandler` | `create(Vertx vertx, String errorTemplateName, boolean displayExceptionDetails)` Create an error handler

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Field Detail

    - #### DEFAULT_ERROR_HANDLER_TEMPLATE

          static final String DEFAULT_ERROR_HANDLER_TEMPLATE

      The default template to use for rendering
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static ErrorHandler create(Vertx vertx)

      Create an error handler using defaults
      Returns:
        the handler

    - #### create

          static ErrorHandler create(Vertx vertx,
                                     String errorTemplateName,
                                     boolean displayExceptionDetails)

      Create an error handler
      Parameters:
        `errorTemplateName` - the error template name - will be looked up from the classpath
        `displayExceptionDetails` - true if exception details should be displayed
      Returns:
        the handler

    - #### create

          static ErrorHandler create(Vertx vertx,
                                     boolean displayExceptionDetails)

      Create an error handler
      Parameters:
        `displayExceptionDetails` - true if exception details should be displayed
      Returns:
        the handler

    - #### create

          static ErrorHandler create(Vertx vertx,
                                     String errorTemplateName)

      Create an error handler
      Parameters:
        `errorTemplateName` - the error template name - will be looked up from the classpath
      Returns:
        the handler

Copyright © 2021 Eclipse. All rights reserved.